Bug 168337 - PCMCIA don't work on HP ZV6000
PCMCIA don't work on HP ZV6000
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Normal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-14 23:18 EDT by Frederico Madeira
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederico Madeira 2005-09-14 23:18:21 EDT
Description of problem:

I try with two pcmcia. The first card is Orinoco Gold 8420-wd wireless and the
second is IBM Dta/Fax Modem  XJ1560.

I boot my machine with live cd kurumin 2 with kernel 2.4.20 and it detect the
card insertion and removal and /sbin/cardctl ident show the info of card's when
it changed

I Send details for mais configuration files and proc files.

Kernel-2.6.11 and 2.6.12 and pcmcia-cs-3.2.8-4.12

See the irq that cardbus is using: 225

DESCRIPTIONS:

#######################################
> [root@linux_area /]# /sbin/cardctl ident 
> Socket 0:
>   product info: "Agere Systems", "Wireless PC Card Model 0111", "", ""
>   manfid: 0x0156, 0x0003
>   function: 6 (network)
> #############################################
> > 
> > [root@linux_area /]# /sbin/cardctl info
> > PRODID_1="Agere Systems"
> > PRODID_2="Wireless PC Card Model 0111"
> > PRODID_3=""
> > PRODID_4=""
> > MANFID=0156,0003
> > FUNCID=6
> > 
> > ############################################
> > 
> > [root@linux_area /]# cat /etc/sysconfig/pcmcia
> > PCMCIA=yes
> > PCIC=yenta_socket
> > PCIC_OPTS=
> > CORE_OPTS=
> > CARDMGR_OPTS=-f
> > 
> > ################################################
> > [root@linux_area /]# cat /etc/pcmcia/config.opts
> > #
> > # Local PCMCIA Configuration File
> > #
> > #----------------------------------------------------------------------
> > #
> > # System resources available for PCMCIA cards
> > #
> > # NOTE: these settings have no effect on resources assigned to a
> > # CardBus bridge device itself; this file only affects resources
> > # assigned to cards.  Also, interrupt settings here will only affect
> > # ISA bus interrupts assigned to 16-bit cards.  PCI interrupts
> > # generally can't be reconfigured.
> > #
> > # With the kernel PCMCIA subsystem, these settings also have no effect
> > # at all on resources used for 32-bit CardBus cards.  Those are set by
> > # the PCI hotplug subsystem.
> > #
> > 
> > include port 0x100-0x4ff, port 0x800-0x8ff, port 0xc00-0xcff
> > include memory 0xc0000-0xfffff
> > include memory 0xa0000000-0xa0ffffff, memory 0x60000000-0x60ffffff
> > include memory 0xe0100000-0xe17fffff                   # included by
> > me
> > 
> > include memory 0x40000000-0x40bff000                    # included by
> > me
> > 
> > 
> > # High port numbers do not always work...
> > # include port 0x1000-0x17ff
> > 
> > # Extra port range for IBM Token Ring
> > include port 0xa00-0xaff
> > include port 0x4000-0x44ff         # included by me
> > 
> > 
> > # Resources we should not use, even if they appear to be available
> > 
> > # First built-in serial port
> > exclude irq 4
> > # Second built-in serial port
> > #exclude irq 3
> > # First built-in parallel port
> > exclude irq 7
> > # PS/2 Mouse controller port, comment this out if you don't have a
> > PS/2
> > # based mouse
> > exclude irq 12
> > # SB emulation ports
> > exclude port 0x220-0x22f
> > # Radeon IGP MCE's if you touch ports 3b0->3bb & 3d3
> > exclude port 0x3b0-0x3bb
> > exclude port 0x3d3-0x3d3
> > 
> > #----------------------------------------------------------------------
> > 
> > # Examples of options for loadable modules
> > 
> > # To fix sluggish network with IBM ethernet adapter...
> > module "pcnet_cs" opts "mem_speed=600"
> > 
> > # Options for IBM Token Ring adapters
> > #module "ibmtr_cs" opts "mmiobase=0xd0000 srambase=0xd4000"
> > 
> > # Options for Raylink/WebGear driver: uncomment only one line...
> > # Generic ad-hoc network
> > module "ray_cs" opts "essid=ADHOC_ESSID hop_dwell=128
> > beacon_period=256 translate=1"
> > # Infrastructure network for older cards
> > #module "ray_cs" opts "net_type=1 essid=ESSID1"
> > # Infrastructure network for WebGear
> > #module "ray_cs" opts "net_type=1 essid=ESSID1 translate=1
> > hop_dwell=128 beacon_period=256"
> > 
> > # Options for WaveLAN/IEEE driver (AccessPoint mode)...
> > module "wvlan_cs" opts "station_name=MY_PC"
> > # Options for WaveLAN/IEEE driver (ad-hoc mode)...
> > module "wvlan_cs" opts "port_type=3 channel=1 station_name=MY_PC"
> > 
> > # Options for Xircom Netwave driver...
> > #module "netwave_cs" opts "domain=0x100 scramble_key=0x0"
> > 
> >
#####################################################################################
> > 
> > [root@linux_area /]# /sbin/lspci -v
> > 00:00.0 Host bridge: ATI Technologies Inc: Unknown device 5950
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: bus master, 66Mhz, medium devsel, latency 64
> > 
> > 00:01.0 PCI bridge: ATI Technologies Inc: Unknown device 5a3f (prog-if
> > 00 [Normal decode])
> >         Flags: bus master, 66Mhz, medium devsel, latency 64
> >         Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
> >         I/O behind bridge: 00009000-00009fff
> >         Memory behind bridge: b0100000-b01fffff
> >         Prefetchable memory behind bridge:
> > 00000000c0000000-00000000cff00000
> >         Capabilities: [44] HyperTransport: MSI Mapping
> >         Capabilities: [b0] #0d [0000]
> > 
> > 00:04.0 PCI bridge: ATI Technologies Inc: Unknown device 5a36 (prog-if
> > 00 [Normal decode])
> >         Flags: bus master, fast devsel, latency 0
> >         Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
> >         I/O behind bridge: 00000000-00000fff
> >         Memory behind bridge: 00000000-000fffff
> >         Prefetchable memory behind bridge: 00000000-000fffff
> >         Capabilities: [50] Power Management version 3
> >         Capabilities: [58] Express Root Port (Slot-) IRQ 0
> >         Capabilities: [80] Message Signalled Interrupts: 64bit-
> > Queue=0/0 Enable+
> >         Capabilities: [b0] #0d [0000]
> >         Capabilities: [b8] HyperTransport: MSI Mapping
> > 
> > 00:13.0 USB Controller: ATI Technologies Inc: Unknown device 4374
> > (prog-if 10 [OHCI])
> >         Subsystem: ATI Technologies Inc: Unknown device 4374
> >         Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 217
> >         Memory at b0000000 (32-bit, non-prefetchable) [size=4K]
> >         Capabilities: [d0] Message Signalled Interrupts: 64bit-
> > Queue=0/0 Enable-
> > 
> > 00:13.1 USB Controller: ATI Technologies Inc: Unknown device 4375
> > (prog-if 10 [OHCI])
> >         Subsystem: ATI Technologies Inc: Unknown device 4375
> >         Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 217
> >         Memory at b0001000 (32-bit, non-prefetchable) [size=4K]
> >         Capabilities: [d0] Message Signalled Interrupts: 64bit-
> > Queue=0/0 Enable-
> > 
> > 00:13.2 USB Controller: ATI Technologies Inc: Unknown device 4373
> > (prog-if 20 [EHCI])
> >         Subsystem: ATI Technologies Inc: Unknown device 4373
> >         Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 217
> >         Memory at b0002000 (32-bit, non-prefetchable) [size=4K]
> >         Capabilities: [dc] Power Management version 2
> >         Capabilities: [d0] Message Signalled Interrupts: 64bit-
> > Queue=0/0 Enable-
> > 
> > 00:14.0 SMBus: ATI Technologies Inc ATI SMBus (rev 10)
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: 66Mhz, medium devsel
> >         I/O ports at 8400 [size=16]
> >         Memory at b0003000 (32-bit, non-prefetchable) [size=1K]
> >         Capabilities: [b0] HyperTransport: MSI Mapping
> > 
> > 00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI
> > IDE Controller ATI (prog-if 8a [Master SecP PriP])
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: bus master, 66Mhz, medium devsel, latency 0, IRQ 201
> >         I/O ports at <ignored>
> >         I/O ports at <ignored>
> >         I/O ports at <ignored>
> >         I/O ports at <ignored>
> >         I/O ports at 8410 [size=16]
> >         Capabilities: [70] Message Signalled Interrupts: 64bit-
> > Queue=0/0 Enable-
> > 
> > 00:14.3 ISA bridge: ATI Technologies Inc: Unknown device 4377
> >         Flags: bus master, 66Mhz, medium devsel, latency 0
> > 
> > 00:14.4 PCI bridge: ATI Technologies Inc: Unknown device 4371 (prog-if
> > 01 [Subtractive decode])
> >         Flags: bus master, 66Mhz, medium devsel, latency 64
> >         Bus: primary=00, secondary=03, subordinate=03, sec-latency=64
> >         I/O behind bridge: 0000a000-0000afff
> >         Memory behind bridge: b0200000-b02fffff
> > 
> > 00:14.5 Multimedia audio controller: ATI Technologies Inc: Unknown
> > device 4370 (rev 01)
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: bus master, 66Mhz, slow devsel, latency 64, IRQ 193
> >         Memory at b0003400 (32-bit, non-prefetchable) [size=256]
> >         Capabilities: [40] Message Signalled Interrupts: 64bit-
> > Queue=0/0 Enable-
> > 
> > 00:14.6 Modem: ATI Technologies Inc: Unknown device 4378 (rev 01)
> > (prog-if 00 [Generic])
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: 66Mhz, slow devsel, IRQ 193
> >         Memory at b0003800 (32-bit, non-prefetchable) [size=256]
> >         Capabilities: [40] Message Signalled Interrupts: 64bit-
> > Queue=0/0 Enable-
> > 
> > 00:18.0 Host bridge: Advanced Micro Devices [AMD] K8
> > [Athlon64/Opteron] HyperTransport Technology Configuration
> >         Flags: fast devsel
> >         Capabilities: [80] HyperTransport: Host or Secondary Interface
> > 
> > 00:18.1 Host bridge: Advanced Micro Devices [AMD] K8
> > [Athlon64/Opteron] Address Map
> >         Flags: fast devsel
> > 
> > 00:18.2 Host bridge: Advanced Micro Devices [AMD] K8
> > [Athlon64/Opteron] DRAM Controller
> >         Flags: fast devsel
> > 
> > 00:18.3 Host bridge: Advanced Micro Devices [AMD] K8
> > [Athlon64/Opteron] Miscellaneous Control
> >         Flags: fast devsel
> > 
> > 01:05.0 VGA compatible controller: ATI Technologies Inc: Unknown
> > device 5955 (prog-if 00 [VGA])
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: bus master, fast Back2Back, 66Mhz, medium devsel,
> > latency 255, IRQ 10
> >         Memory at c0000000 (32-bit, prefetchable) [size=256M]
> >         I/O ports at 9000 [size=256]
> >         Memory at b0100000 (32-bit, non-prefetchable) [size=64K]
> >         Capabilities: [50] Power Management version 2
> > 
> > 03:00.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A
> > IEEE-1394a-2000 Controller (PHY/Link) (prog-if 10 [OHCI])
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: bus master, medium devsel, latency 64, IRQ 225
> >         Memory at b0208000 (32-bit, non-prefetchable) [size=2K]
> >         Memory at b0200000 (32-bit, non-prefetchable) [size=16K]
> >         Capabilities: [44] Power Management version 2
> > 
> > 03:02.0 Network controller: Broadcom Corporation BCM4306 802.11b/g
> > Wireless LAN Controller (rev 03)
> >         Subsystem: Hewlett-Packard Company: Unknown device 12f8
> >         Flags: bus master, fast devsel, latency 64, IRQ 169
> >         Memory at b0204000 (32-bit, non-prefetchable) [size=8K]
> > 
> > 03:04.0 CardBus bridge: Texas Instruments Texas Instruments
> > PCIxx21/x515 Cardbus Controller
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: bus master, medium devsel, latency 168, IRQ 225
> >         Memory at 40000000 (32-bit, non-prefetchable) [size=4K]
> >         Bus: primary=03, secondary=04, subordinate=07, sec-latency=176
> >         Memory window 0: 40400000-407ff000 (prefetchable)
> >         Memory window 1: 40800000-40bff000
> >         I/O window 0: 00004000-000040ff
> >         I/O window 1: 00004400-000044ff
> >         16-bit legacy interface ports at 0001
> > 
> > 03:04.3 Unknown mass storage controller: Texas Instruments Texas
> > Instruments PCIxx21 Integrated FlashMedia Controller
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: bus master, medium devsel, latency 64, IRQ 10
> >         Memory at b0206000 (32-bit, non-prefetchable) [size=8K]
> >         Capabilities: [44] Power Management version 2
> > 
> > 03:04.4 Class 0805: Texas Instruments Texas Instruments PCI6411,
> > PCI6421, PCI6611, PCI6621, PCI7411, PCI7421, PCI7611, PCI7621 Secure
> > Digital (SD)
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: bus master, medium devsel, latency 64, IRQ 10
> >         Memory at b0209000 (32-bit, non-prefetchable) [size=256]
> >         Memory at b0208c00 (32-bit, non-prefetchable) [size=256]
> >         Memory at b0208800 (32-bit, non-prefetchable) [size=256]
> >         Capabilities: [80] Power Management version 2
> > 
> > 03:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
> > RTL-8139/8139C/8139C+ (rev 10)
> >         Subsystem: Hewlett-Packard Company: Unknown device 3085
> >         Flags: bus master, medium devsel, latency 128, IRQ 209
> >         I/O ports at a000 [size=256]
> >         Memory at b0209400 (32-bit, non-prefetchable) [size=256]
> >         Capabilities: [50] Power Management version 2
> > 
> >
#######################################################################################################################
> > [root@linux_area /]# cat /proc/interrupts
> >            CPU0
> >   0:   11623128    IO-APIC-edge  timer
> >   1:      15094    IO-APIC-edge  i8042
> >   8:          0    IO-APIC-edge  rtc
> > 14:      46658    IO-APIC-edge  ide0
> > 15:      85646    IO-APIC-edge  ide1
> > 169:         60   IO-APIC-level  acpi, ndiswrapper
> > 193:       4456   IO-APIC-level  ATI IXP
> > 209:      55424   IO-APIC-level  eth0
> > 217:      76166   IO-APIC-level  ehci_hcd:usb1, ohci_hcd:usb2,
> > ohci_hcd:usb3
> > 225:          3   IO-APIC-level  yenta, ohci1394
> > NMI:        886
> > LOC:    5810484
> > ERR:         10
> > MIS:          0
> > 
> > #############################################################################
> > 
> > [root@linux_area /]# cat /proc/iomem
> > 00000000-0009f7ff : System RAM
> > 0009f800-0009ffff : reserved
> > 000a0000-000bffff : Video RAM area
> > 000c0000-000cefff : Video ROM
> > 000d8000-000d8fff : Adapter ROM
> > 000f0000-000fffff : System ROM
> > 00100000-3feeffff : System RAM
> >   00100000-00395c17 : Kernel code
> >   00395c18-004d964f : Kernel data
> > 3fef0000-3fefefff : ACPI Tables
> > 3feff000-3fefffff : ACPI Non-volatile Storage
> > 3ff00000-3fffffff : reserved
> > 40000000-40000fff : 0000:03:04.0
> >   40000000-40000fff : yenta_socket
> > 40001000-40001fff : pcmcia_socket0
> > 40400000-407fffff : PCI CardBus #04
> > 40800000-40bfffff : PCI CardBus #04
> > b0000000-b0000fff : 0000:00:13.0
> >   b0000000-b0000fff : ohci_hcd
> > b0001000-b0001fff : 0000:00:13.1
> >   b0001000-b0001fff : ohci_hcd
> > b0002000-b0002fff : 0000:00:13.2
> >   b0002000-b0002fff : ehci_hcd
> > b0003000-b00033ff : 0000:00:14.0
> > b0003400-b00034ff : 0000:00:14.5
> >   b0003400-b00034ff : ATI IXP AC97
> > b0003800-b00038ff : 0000:00:14.6
> > b0100000-b01fffff : PCI Bus #01
> >   b0100000-b010ffff : 0000:01:05.0
> > b0200000-b0203fff : 0000:03:00.0
> > b0204000-b0205fff : 0000:03:02.0
> >   b0204000-b0205fff : ndiswrapper
> > b0206000-b0207fff : 0000:03:04.3
> > b0208000-b02087ff : 0000:03:00.0
> >   b0208000-b02087ff : ohci1394
> > b0208800-b02088ff : 0000:03:04.4
> > b0208c00-b0208cff : 0000:03:04.4
> > b0209000-b02090ff : 0000:03:04.4
> > b0209400-b02094ff : 0000:03:06.0
> >   b0209400-b02094ff : 8139too
> > c0000000-cfffffff : PCI Bus #01
> >   c0000000-cfffffff : 0000:01:05.0
> > e0000000-efffffff : reserved
> > fec00000-fec0ffff : reserved
> > fee00000-fee00fff : reserved
> > fff80000-ffffffff : reserved
> > 
> > 
> > #################################################
> > 
> > [root@linux_area /]# cat /proc/ioports
> > 0000-001f : dma1
> > 0020-0021 : pic1
> > 0040-0043 : timer0
> > 0050-0053 : timer1
> > 0060-006f : keyboard
> > 0070-0077 : rtc
> > 0080-008f : dma page reg
> > 00a0-00a1 : pic2
> > 00c0-00df : dma2
> > 00f0-00ff : fpu
> > 0170-0177 : ide1
> > 01f0-01f7 : ide0
> > 0220-022f : pnp 00:07
> > 0376-0376 : ide1
> > 03c0-03df : vga+
> > 03f6-03f6 : ide0
> > 040b-040b : pnp 00:07
> > 04d0-04d1 : pnp 00:07
> > 0cf8-0cff : PCI conf1
> > 1080-1080 : motherboard
> >   1080-1080 : pnp 00:07
> > 4000-40ff : PCI CardBus #04
> > 4400-44ff : PCI CardBus #04
> > 8000-805f : motherboard
> >   8000-8003 : PM1a_EVT_BLK
> >   8004-8005 : PM1a_CNT_BLK
> >   8008-800b : PM_TMR
> >   8010-8015 : ACPI CPU throttle
> >   8020-8027 : GPE0_BLK
> > 8100-8100 : PM2_CNT_BLK
> > 8104-8107 : PM1b_EVT_BLK
> > 8400-840f : 0000:00:14.0
> > 8410-841f : 0000:00:14.1
> >   8410-8417 : ide0
> >   8418-841f : ide1
> > 9000-9fff : PCI Bus #01
> >   9000-90ff : 0000:01:05.0
> > a000-a0ff : 0000:03:06.0
> >   a000-a0ff : 8139too
> > 
> > ###########################################################
> > 
> > [root@linux_area /]# /sbin/lsmod
> > Module                  Size  Used by
> > nls_utf8                2880  1
> > ntfs                  169688  1
> > orinoco_cs             13196  0
> > orinoco                65296  1 orinoco_cs
> > hermes                  9984  2 orinoco_cs,orinoco
> > ndiswrapper           217424  0
> > parport_pc             33965  0
> > lp                     16961  0
> > parport                49613  2 parport_pc,lp
> > autofs4                34121  2
> > i2c_dev                14657  0
> > i2c_core               26817  1 i2c_dev
> > rfcomm                 49137  0
> > l2cap                  34505  5 rfcomm
> > bluetooth              65797  4 rfcomm,l2cap
> > sunrpc                194729  1
> > pcmcia                 35345  3 orinoco_cs
> > dm_mod                 67521  0
> > video                  19913  0
> > button                  5313  0
> > battery                11721  0
> > ac                      6345  0
> > md5                     5313  1
> > ipv6                  307681  16
> > ohci1394               44321  0
> > ieee1394              380793  1 ohci1394
> > yenta_socket           24777  2
> > rsrc_nonstatic         14273  1 yenta_socket
> > pcmcia_core            59853  4
> > orinoco_cs,pcmcia,yenta_socket,rsrc_nonstatic
> > ohci_hcd               29409  0
> > ehci_hcd               44621  0
> > shpchp                101865  0
> > snd_atiixp             26721  1
> > snd_ac97_codec         95749  1 snd_atiixp
> > snd_seq_dummy           4805  0
> > snd_seq_oss            44581  0
> > snd_seq_midi_event     11585  1 snd_seq_oss
> > snd_seq                77465  5
> > snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
> > snd_seq_device         11217  3 snd_seq_dummy,snd_seq_oss,snd_seq
> > snd_pcm_oss            61169  0
> > snd_mixer_oss          20161  2 snd_pcm_oss
> > snd_pcm               118988  3 snd_atiixp,snd_ac97_codec,snd_pcm_oss
snd_timer              37705  2 snd_seq,snd_pcm
snd                    67521  9
snd_atiixp,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              13537  2 snd
snd_page_alloc         12233  2 snd_atiixp,snd_pcm
8139too                33345  0
mii                     6721  1 8139too
ext3                  148177  3
jbd                    92657  1 ext3
############################################################################################################




Version-Release number of selected component (if applicable):

kernel-2.6.12-1.1447_FC4
pcmcia-cs-3.2.8-4.12

How reproducible:

Every Time
  
Steps to Reproduce:

1. Insert and remove the pc card
2. Run the command /sbin/cardctl ident
  
Actual results:

1. Nothing occour 
2. Show the info for that first pcmcia

Expected results:

1. system beep (sinalizing the insertion or remove from pccard)
2. show info of the card inserted (/sbin/cardctl ident)

Additional info:
Comment 1 Dave Jones 2005-09-30 03:09:16 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 2 Frederico Madeira 2005-10-12 10:35:15 EDT
I've installed this kernel update, but my pcmcia slot wont work.
The message apperar when pcmcia service start:

[root@linux_area fred]# /etc/init.d/pcmcia restart
Shutting down PCMCIA services: done.
Starting PCMCIA services: cardmgr[5408]: watching 1 socket
cardmgr[5408]: could not adjust resource: IO ports 0xc00-0xcff: Function not
implemented
cardmgr[5408]: could not adjust resource: IO ports 0x800-0x8ff: Function not
implemented
cardmgr[5408]: could not adjust resource: IO ports 0x100-0x4ff: Function not
implemented
cardmgr[5408]: could not adjust resource: memory 0xc0000-0xfffff: Function not
implemented
cardmgr[5408]: could not adjust resource: memory 0x60000000-0x60ffffff: Function
not implemented
cardmgr[5408]: could not adjust resource: memory 0xa0000000-0xa0ffffff: Function
not implemented
cardmgr[5408]: could not adjust resource: IO ports 0xa00-0xaff: Function not
implemented
cardmgr[5408]: could not adjust resource: IO ports 0x220-0x22f: Function not
implemented
cardmgr[5408]: could not adjust resource: IO ports 0x3b0-0x3bb: Function not
implemented
cardmgr[5408]: could not adjust resource: IO ports 0x3d3-0x3d3: Function not
implemented
done.
[root@linux_area fred]#

When i b[root@linux_area fred]# /etc/init.d/pcmcia restart
Shutting down PCMCIA services: done.
Starting PCMCIA services: cardmgr[5408]: watching 1 socket
cardmgr[5408]: could not adjust resource: IO ports 0xc00-0xcff: Function not
implemented
cardmgr[5408]: could not adjust resource: IO ports 0x800-0x8ff: Function not
implemented
cardmgr[5408]: could not adjust resource: IO ports 0x100-0x4ff: Function not
implemented
cardmgr[5408]: could not adjust resource: memory 0xc0000-0xfffff: Function not
implemented
cardmgr[5408]: could not adjust resource: memory 0x60000000-0x60ffffff: Function
not implemented
cardmgr[5408]: could not adjust resource: memory 0xa0000000-0xa0ffffff: Function
not implemented
cardmgr[5408]: could not adjust resource: IO ports 0xa00-0xaff: Function not
implemented
cardmgr[5408]: could not adjust resource: IO ports 0x220-0x22f: Function not
implemented
cardmgr[5408]: could not adjust resource: IO ports 0x3b0-0x3bb: Function not
implemented
cardmgr[5408]: could not adjust resource: IO ports 0x3d3-0x3d3: Function not
implemented
done.
[root@linux_area fred]#

When i boot my machine i have this error;

Oct 12 10:09:36 linux_area kernel: PCI: Cannot allocate resource region 7 of
bridge 0000:00:04.0
Oct 12 10:09:36 linux_area sdpd[1868]: Bluetooth SDP daemon
Oct 12 10:09:36 linux_area hcid[1866]: Unable to get on D-BUS
Oct 12 10:09:36 linux_area kernel: PCI: Cannot allocate resource region 8 of
bridge 0000:00:04.0
Oct 12 10:09:36 linux_area kernel: PCI: Cannot allocate resource region 9 of
bridge 0000:00:04.0
Oct 12 10:09:36 linux_area kernel: PCI-DMA: Disabling IOMMU.
Oct 12 10:09:36 linux_area kernel: pnp: 00:07: ioport range 0x1080-0x1080 has
been reserved
Oct 12 10:09:36 linux_area kernel: pnp: 00:07: ioport range 0x220-0x22f has been
reserved
Oct 12 10:09:36 linux_area kernel: pnp: 00:07: ioport range 0x40b-0x40b has been
reserved
Oct 12 10:09:36 linux_area kernel: pnp: 00:07: ioport range 0x4d0-0x4d1 has been
reserved
Oct 12 10:09:36 linux_area kernel: PCI: Bridge: 0000:00:01.0
Oct 12 10:09:36 linux_area kernel:   IO window: 9000-9fff
Oct 12 10:09:36 linux_area kernel:   MEM window: b0100000-b01fffff
Oct 12 10:09:36 linux_area kernel:   PREFETCH window: c0000000-cfffffff
Oct 12 10:09:37 linux_area kernel: PCI: Bridge: 0000:00:04.0
Oct 12 10:09:37 linux_area kernel:   IO window: disabled.
Oct 12 10:09:37 linux_area kernel:   MEM window: disabled.
Oct 12 10:09:37 linux_area kernel:   PREFETCH window: disabled.
Oct 12 10:09:37 linux_area kernel: PCI: Bus 4, cardbus bridge: 0000:03:04.0
Oct 12 10:09:37 linux_area kernel:   IO window: 00002000-00002fff
Oct 12 10:09:37 linux_area kernel:   IO window: 00003000-00003fff
Oct 12 10:09:37 linux_area kernel:   PREFETCH window: 40000000-41ffffff
Oct 12 10:09:37 linux_area kernel:   MEM window: 42000000-43ffffff
Oct 12 10:09:37 linux_area kernel: PCI: Bridge: 0000:00:14.4
Oct 12 10:09:37 linux_area kernel:   IO window: a000-afff
Oct 12 10:09:37 linux_area kernel:   MEM window: b0200000-b02fffff
Oct 12 10:09:37 linux_area kernel:   PREFETCH window: 40000000-41ffffff
Oct 12 10:09:37 linux_area kernel: PCI: Device 0000:00:04.0 not available
because of resource collisions
Oct 12 10:09:37 linux_area kernel: ACPI: PCI Interrupt 0000:03:04.0[A] -> GSI 20
(level, low) -> IRQ 201


I think that IRQ for pcmcia socket is in conflict whit other device.
Strange is that if i use other version of linux (such as kurumin) it detect fine
my pcmcia).
Comment 3 Frederico Madeira 2005-11-06 23:53:50 EST
Hello guys, any good news about this problem ??
I'm working with 2.6.13-1.1532_FC4 and error still occour and i can't use pcmcia
cards.

Tanks.
Comment 4 Dave Jones 2005-11-10 15:14:57 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Dave Jones 2006-02-03 01:03:28 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:33:06 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.